How to create expo project with specific sdk version by cli


#1

i try to create expo project by expo cli :

exp i --config app.json

my app.json contain

{
“expo”: {
“name”: “App”,
“slug”: “App”,
“sdkVersion”: “25.0.0”,
“privacy”: “public”
}
}

but after project create it create with latest sdkversion 27 .

how i can create expo project with costume sdkversion 27 .


#2

Hey @anassalool! The config option is a side effect of something else we built and isn’t actually used in this case. Sorry about the confusion, this is definitely just a bug on our side. Once you have a project set up you can use exp start --config filename.json to run the project with a different config, but it doesn’t do anything in the exp init case. We’ll work on cleaning that up.


#3

good luck , and thanks for help …


closed #4

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.